# Copyright (c) 2013 BaseSoft B.V.
# See LICENSE for details.

from basesoft.web.contrib.dashboard.controllers import DashboardWidgetCQStateController
from django.utils.translation import ugettext_lazy as _
from basesoft.util.ordered_dict import OrderedDict

class PVCOrderOverviewWidget(DashboardWidgetCQStateController):
    """
    Order Overview Widget
    """
    label = _('Order manager')
    name = 'pvc_db_order_overview_widget'
    icon = 'icons/db_order_manager.png'
    category = 'PVC Financial'
    permissions = ['pvc_view_orders']

class PVCDeclarationOverviewWidget(DashboardWidgetCQStateController):
    """
    Declaration Overview Widget
    """
    label = _('Declaration manager')
    name = 'pvc_db_declaration_overview_widget'
    icon = 'icons/db_declaration_manager.png'
    category = 'PVC Declaration'
    permissions = ['pvc_view_declarations']

class PVCOutstandingDeclarationWidget(DashboardWidgetCQStateController):
    """
    Declaration Overview Widget
    """
    label = _('Outstanding declarations')
    name = 'pvc_db_outstanding_declaration_widget'
    icon = 'icons/db_outstanding_declarations.png'
    category = 'PVC Declaration'
    permissions = ['pvc_view_declarations']

widgets_mapper = OrderedDict([
    ('PVCOrderOverviewWidget', PVCOrderOverviewWidget, ),
    ('PVCDeclarationOverviewWidget', PVCDeclarationOverviewWidget, ),
    ('PVCOutstandingDeclarationWidget', PVCOutstandingDeclarationWidget, ),
])
